## ros-indigo-marshmallow 2.9.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(marshmallow)

# For ease of use, this CMakeLists allows to use this code from source, as if it were a normal catkin package.
# However no ROS/catkin debian package is provided for it.
# It is just a pip package that your packages should depend on (using rosdep pip dependency mechanism).
# We should follow closely https://github.com/gerkey/ros1_external_use

# Minimal Python module setup - catkin is assumed preinstalled along with ROS
# This assume catkin is installed along with a minimal ROS system.
find_package(catkin REQUIRED COMPONENTS
    catkin_pip
)

# defining current package as a package that should be managed by pip (not catkin - even though we make it usable with workspaces)
catkin_pip_package(marshmallow)

## Unit tests
if (CATKIN_ENABLE_TESTING)

    ############
    # Nose Tests
    ############

    catkin_add_pytests(tests)

endif()

=== debian/changelog ===
ros-indigo-marshmallow (2.9.1-6trusty) trusty; urgency=high

  Bug fixes:
  * Fix serialization of ``datetime.time`` objects with microseconds (:issue:`464`). Thanks :user:`Tim-Erwin` for reporting and thanks :user:`vuonghv` for the fix.
  * Make ``@validates`` consistent with field validator behavior: if validation fails, the field will not be included in the deserialized output (:issue:`391`). Thanks :user:`martinstein` for reporting and thanks :user:`@vuonghv` for the fix.

 -- AlexV <asmodehn@gmail.com>  Wed, 20 Jul 2016 15:00:00 -0000

ros-indigo-marshmallow (2.9.0-6trusty) trusty; urgency=high

  * ``Decimal`` field coerces input values to a string before deserializing to a decimal.Decimal object in order to avoid transformation of float values under 12 significant digits (:issue:`434`, :issue:`435`). Thanks :user:`davidthornton` for the PR.

 -- AlexV <asmodehn@gmail.com>  Tue, 05 Jul 2016 15:00:00 -0000

ros-indigo-marshmallow (2.8.0-6trusty) trusty; urgency=high

  Features:
  * Allow ``only`` and ``exclude`` parameters to take nested fields, using dot-delimited syntax (e.g. ``only=['blog.author.email']``) (:issue:`402`). Thanks :user:`Tim-Erwin` and :user:`deckar01` for the discussion and implementation.
  Support:
  * Update tasks.py for compatibility with invoke>=0.13.0. Thanks :user:`deckar01`.

 -- AlexV <asmodehn@gmail.com>  Wed, 22 Jun 2016 15:00:00 -0000

ros-indigo-marshmallow (2.7.3-6trusty) trusty; urgency=high

  * Make ``field.parent`` and ``field.name`` accessible to ``on_bind_field`` (:issue:`449`). Thanks :user:`immerrr`.

 -- AlexV <asmodehn@gmail.com>  Wed, 04 May 2016 15:00:00 -0000

ros-indigo-marshmallow (2.7.2-6trusty) trusty; urgency=high

  No code changes in this release. This is a reupload in order to distribute an sdist for the last hotfix release. See :issue:`443`.
  Support:
  * Update license entry in setup.py to fix RPM distributions (:issue:`433`). Thanks :user:`rrajaravi` for reporting.

 -- AlexV <asmodehn@gmail.com>  Tue, 26 Apr 2016 15:00:00 -0000

ros-indigo-marshmallow (2.7.1-6trusty) trusty; urgency=high

  Bug fixes:
  * Only add Schemas to class registry if a class name is provided. This allows Schemas to be
    constructed dynamically using the ``type`` constructor without getting added to the class registry (which is useful for saving memory).

 -- AlexV <asmodehn@gmail.com>  Thu, 07 Apr 2016 15:00:00 -0000

ros-indigo-marshmallow (2.7.0-6trusty) trusty; urgency=high

  Features:
  * Make context available to ``Nested`` field's ``on_bind_field`` method (:issue:`408`). Thanks :user:`immerrr` for the PR.
  * Pass through user ``ValidationError`` kwargs (:issue:`418`). Thanks :user:`russelldavies` for helping implement this.
  Other changes:
  * Remove unused attributes ``root``, ``parent``, and ``name`` from ``SchemaABC`` (:issue:`410`). Thanks :user:`Tim-Erwin` for the PR.

 -- AlexV <asmodehn@gmail.com>  Sun, 03 Apr 2016 15:00:00 -0000

ros-indigo-marshmallow (2.6.1-6trusty) trusty; urgency=high

  Bug fixes:
  * Respect load_from when reporting errors for nested required fields (:issue:`414`). Thanks :user:`yumike`.

 -- AlexV <asmodehn@gmail.com>  Wed, 16 Mar 2016 15:00:00 -0000

ros-indigo-marshmallow (2.6.0-6trusty) trusty; urgency=high

  Features:
  * Add ``partial`` argument to ``Schema.validate`` (:issue:`379`). Thanks :user:`tdevelioglu` for the PR.
  * Add ``equal`` argument to ``validate.Length``. Thanks :user:`daniloakamine`.
  * Collect all validation errors for each item deserialized by a ``List`` field (:issue:`345`). Thanks :user:`maximkulkin` for the report and the PR.

 -- AlexV <asmodehn@gmail.com>  Sun, 31 Jan 2016 15:00:00 -0000

ros-indigo-marshmallow (2.5.0-6trusty) trusty; urgency=high

  Features:
  * Allow a tuple of field names to be passed as the ``partial`` argument to ``Schema.load`` (:issue:`369`). Thanks :user:`tdevelioglu` for the PR.
  * Add ``schemes`` argument to ``validate.URL`` (:issue:`356`).

 -- AlexV <asmodehn@gmail.com>  Fri, 15 Jan 2016 15:00:00 -0000

ros-indigo-marshmallow (2.4.2-6trusty) trusty; urgency=high

  Bug fixes:
  * Prevent duplicate error messages when validating nested collections (:issue:`360`). Thanks :user:`alexmorken` for the catch and patch.

 -- AlexV <asmodehn@gmail.com>  Mon, 07 Dec 2015 15:00:00 -0000

ros-indigo-marshmallow (2.4.1-6trusty) trusty; urgency=high

  Bug fixes:
  * Serializing an iterator will not drop the first item (:issue:`343`, :issue:`353`). Thanks :user:`jmcarp` for the patch. Thanks :user:`edgarallang` and :user:`jmcarp` for reporting.

 -- AlexV <asmodehn@gmail.com>  Sun, 06 Dec 2015 15:00:00 -0000

ros-indigo-marshmallow (2.4.0-6trusty) trusty; urgency=high

  Features:
  * Add ``skip_on_field_errors`` parameter to ``validates_schema`` (:issue:`323`). Thanks :user:`jjvattamattom` for the suggestion and :user:`d-sutherland` for the PR.
  Bug fixes:
  * Fix ``FormattedString`` serialization (:issue:`348`). Thanks :user:`acaird` for reporting.
  * Fix ``@validates`` behavior when used when ``attribute`` is specified and ``strict=True`` (:issue:`350`). Thanks :user:`density` for reporting.

 -- AlexV <asmodehn@gmail.com>  Sat, 05 Dec 2015 15:00:00 -0000

ros-indigo-marshmallow (2.3.0-6trusty) trusty; urgency=high

  Features:
  * Add ``dump_to`` parameter to fields (:issue:`310`). Thanks :user:`ShayanArmanPercolate` for the suggestion. Thanks :user:`franciscod` and :user:`ewang` for the PRs.
  * The ``deserialize`` function passed to ``fields.Function`` can optionally receive a ``context`` argument (:issue:`324`). Thanks :user:`DamianHeard`.
  * The ``serialize`` function passed to ``fields.Function`` is optional (:issue:`325`). Thanks again :user:`DamianHeard`.
  * The ``serialize`` function passed to ``fields.Method`` is optional (:issue:`329`). Thanks :user:`justanr`.
  Deprecation/Removal:
  * The ``func`` argument of ``fields.Function`` has been renamed to ``serialize``.


=== debian/control ===
Source: ros-indigo-marshmallow
Section: misc
Priority: extra
Maintainer: AlexV <asmodehn@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-dateutil, python-pytest, python-simplejson, python-tz, ros-indigo-catkin (>= 0.6.18), ros-indigo-catkin-pip (>= 0.2.0)
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-marshmallow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-dateutil, python-simplejson
Description: A lightweight library for converting complex objects to and from simple Python datatypes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-marshmallow//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
